#!/usr/bin/env kjscmd

var d = new DCOPClient();

if ( d.attach())
{
	println("Attached...");
	if (!d.isApplicationRegistered( "kate" ) )
	{
		var appID = d.dcopStart("kate");
		println( appID + " started" );
	}
	else
		println( "its already registered" );
}
else
	println("Failed...");

println( "Done" );
